QGIS 2.18.16 crash on "save as"

2018-02-01 06:08 PM - Mathieu Denat

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:2.18.16 Regression?: Yes

Operating System: Debian 9 (stretch) Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25921

Description

Hi,

Qgis crash on right click "save as...".

To reproduce bug:

    1. open qgis

    2. load layer (I've test whit shapefile, postgresql layer, csv file)

    3. right-click on layer

    4. click on "save as.."

Qgis crash.

I use Qgis on Debian 64bits (kernel version:4.9.0-5-amd64 ) :

repository: https://qgis.org/debian stretch main

revision code: d473c30

A copy/paste on qgis/about:

QGIS version 2.18.16

QGIS code revision d473c30

Compiled against Qt 4.8.7

Running against Qt 4.8.7

Compiled against GDAL/OGR 2.1.2

Running against GDAL/OGR 2.1.2

Compiled against GEOS 3.5.1-CAPI-1.9.1

Running against GEOS 3.5.1-CAPI-1.9.1 r4246

PostgreSQL Client Version 9.6.6

SpatiaLite Version 4.3.0a

QWT Version 6.1.2

PROJ.4 Version 493

QScintilla2 Version 2.9.3

History

#1 - 2018-02-02 10:29 AM - Richard Duivenvoorde

- Status changed from Open to Feedback
My first guess would be to start qgis without plugins enabled, or rename your .qgis2 temporarily.

I cannot reproduce here (but I'm on Buster/self compiled 2.18 here).

Information you provided here is not enough to draw conclusions about your situation.

#2 - 2018-02-03 10:25 PM - Mathieu Denat

Ok, Thanks for feedback.

I test that method monday (office computer) and post results here.

How can i obtain more information from qgis to help you to diagnose problem?

It seem's that there is no verbose mode on qgis precompiled (repository).

Regards.

#3 - 2018-02-06 05:32 PM - Mathieu Denat

Richard Duivenvoorde wrote:

My first guess would be to start qgis without plugins enabled, or rename your .qgis2 temporarily.

I cannot reproduce here (but I'm on Buster/self compiled 2.18 here).

Information you provided here is not enough to draw conclusions about your situation.

Hello,

I've tested to remove the .qgis2 directory (in my home) --> No changes.

I've tested to install qgis at my home computer (same Debian version) --> qgis works normally.

I'm perplex.

How can I obtain logs error from qgis, or more informations, to identify problem?

You can read the std ouput in terminal:

qgis

Warning: Object::connect: No such signal QgsMergedBookmarksTableModel::&QgsMergedBookmarksTableModel::selectItem( const

QModelIndex &index )

Warning: Object::connect:  (receiver name: 'QgsBookmarksBase')

Warning: QCss::Parser - Failed to load file  "/style.qss" 

QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: Aucun fichier ou dossier de ce type

Warning: QFileSystemWatcher: failed to add paths: /home/euziere/.qgis2//project_templates

Warning: QLayout: Attempting to add QLayout "" to QgsPanelWidgetStack "mWidgetStack", which already has a layout

Erreur de segmentation

"Erreur de segmentation" translation is "segfault error".

Best regards.

#4 - 2018-02-06 05:40 PM - Richard Duivenvoorde
Another file which is actually writen bij Qt4 and remembers the position and sizes of your windows is: 

.config/QGIS/QGIS2.conf

Maybe try to remove that too? It could have been corrupted maybe?

#5 - 2018-02-07 03:19 PM - Mathieu Denat

Well done!

I'll realize that the QFileSystemWatcher path seems not correct.

It will be: /home/MathieuDenat/.qgis2/blablabla

I test to remove .config/QGIS/QGIS2.conf (next week) and come back to you.

Another idea: wich package reconfiguring to reset the qgis configuration?

I've do préviously:

aptitude purge qgis && aptitude install qgis

Thanks a lot and have nice day.

#6 - 2018-02-08 12:00 PM - Richard Duivenvoorde

I asked around, and I do not think apt or aptitude should clean up these files from all home directories on a multi-user Linux system?

So my anwer would be:

rm -rf ~/.config/QGIS/QGIS2.conf

rm -rf ~/.qgis2

please close this issue if possible

#7 - 2018-02-12 10:36 AM - Mathieu Denat

Hi,

I tried to remove directories from all home diretories on all users of system (2 users + root). I launch qgis again and obtain the same error type (segfault

error):

Warning: Object::connect: No such signal QgsMergedBookmarksTableModel::&QgsMergedBookmarksTableModel::selectItem( const

QModelIndex &index )

Warning: Object::connect:  (receiver name: 'QgsBookmarksBase')

Warning: QCss::Parser - Failed to load file  "/style.qss" 

QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: Aucun fichier ou dossier de ce type

Warning: QFileSystemWatcher: failed to add paths: /home/MathieuDenat/.qgis2//project_templates

Warning: QLayout: Attempting to add QLayout "" to QgsPanelWidgetStack "mWidgetStack", which already has a layout

Erreur de segmentation

This line could be the origin of problem or not?
QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: Aucun fichier ou dossier de ce type. (error translation: file not found)

My bug look like #14781

What can I do?

#8 - 2018-02-22 08:50 AM - Mathieu Denat

- Status changed from Feedback to Open

I'm sorry, but I don't find any solution.

Have you an idea to resolve problem?

#9 - 2018-02-25 09:35 PM - Giovanni Manghi

- Status changed from Open to Feedback

My bug look like #14781

What can I do?

of course in both cases it is very likely it is a local issue, as it does not generally happen (in the vast majority of installations). Can you confirm/test on

another machine, possibly on a clean install? thanks.

#10 - 2018-03-20 12:42 PM - Mathieu Denat

Hi,

You can close de ticket. I make 2 tests:

Test 1:

I've reinstalled Debian from scratch.

Compile GDAL (with ECW support) and install qgis 3 from official repositories.

Test 2:

I test installation of Qgis3.0 on other Debian machine, and all was correct.

So, I don't konw the problem's source, but it's solved.

Thanks at lot for time.

#11 - 2018-08-16 12:08 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

2025-12-15 4/4


